use 教学成绩管理数据库  --一段一段执行
go
--1. 修改标量函数
alter function is中文字符串(@字符串 nchar(255))  
returns nchar(1) as  
begin 
  declare @I tinyint, @J tinyint
  set @I=len(@字符串)
  set @J=1
  while (@J<=@I)
    begin
      if (unicode(substring(@字符串,@J,1))<256) return '否'
      set @J=@J+1
    end
  return '是' 
end

--2.验证下列两段话是否是纯中文
select dbo.is中文字符串('你是那样地美，美得象一首抒情诗。你全身充溢着少女的纯情和青春的风采。留给我印象最深的是你那双湖水般清澈的眸子，以及长长的、一闪一闪的睫毛。像是探询，像是关切，像是问候。')
select dbo.is中文字符串('你像一片轻柔的云在我眼前飘来飘去,你清丽秀雅的脸上荡漾着春天般美丽的笑容。在你那双又大又亮的眼睛里，我总能捕捉到你的宁静，你的热烈，你的聪颖，你的敏感。')
